aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-02-23 08:23:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-02-23 08:23:27 +0000
commitd61e11202116f902c8b503a22a545f507bd18539 (patch)
tree79386e867629f79441cf4d2eb7f35a4766b3a663 /main
parente0915aa1871174d2b0477285490e63afd3f57c3c (diff)
downloadaports-d61e11202116f902c8b503a22a545f507bd18539.tar.gz
aports-d61e11202116f902c8b503a22a545f507bd18539.tar.bz2
aports-d61e11202116f902c8b503a22a545f507bd18539.tar.xz
main/reiserfsprogs: moved from testing
fixes #488
Diffstat (limited to 'main')
-rw-r--r--main/reiserfsprogs/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/main/reiserfsprogs/APKBUILD b/main/reiserfsprogs/APKBUILD
new file mode 100644
index 0000000000..cb44e8bdbe
--- /dev/null
+++ b/main/reiserfsprogs/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor:
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=reiserfsprogs
+pkgver=3.6.21
+pkgrel=0
+pkgdesc="Reiserfs Utilities"
+url="http://www.namesys.com"
+arch="all"
+license="GPL"
+depends=
+makedepends="e2fsprogs-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.kernel.org/pub/linux/utils/fs/reiserfs/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+#prepare() {
+# cd "$_builddir"
+# apply patches here
+#}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="0639cefac8f8150536cfa7531c2aa2d2 reiserfsprogs-3.6.21.tar.bz2"